Subject: Re: Problems after deleting submodule

From: Jens Lehmann <[email-masked]>
Date: Tue, 18 Oct 2011 21:56:16 +0200

Am 18.10.2011 13:54, schrieb Howard Miller:
> I included a submodule in my project then decided I didn't like
> submodules and deleted it again. I followed the advice of delting
> .gitmodules, the bit from .git/config and then git rm'ing the
> submodule. Seemed to work. I then copied files with the same directory
> name into where the submodule was. However, I can't add them.
> 
> Doing git add /path/to/old/submodule - does nothing, files are not
> staged, no error messages no nothing.
> If I try to git rm /path/to/old/submodule - it just says 'did not
> match any files'.
> 
> It simply does not seem to want to add anything to the old submodule
> location. I had a grep around and could not see any obvious references
> in the repo.
> 
> I'm a bit stuck... any suggestions for things I can try much appreciated.

Looks like the gitlink entry of the submodule is still there. I assume
	git ls-files --stage | grep 160000
still shows the submodule? That would make it impossible to add anything
in the former submodule directory.

When I delete .gitmodules and the .git/config entry and do a
	git rm sub/
I get
	fatal: pathspec 'sub/' did not match any files

If I omit the trailing slash it is:
	fatal: git rm: 'sub': Is a directory

I have to do a
	rm -rf sub
followed by
	git rm sub
to get everything cleaned up.

Does that help you?